# python version 1.0						DO NOT EDIT
#
# Generated by smidump version 0.4.8:
#
#   smidump -f python NETSWITCH-MIB

FILENAME = "hpNetSwitch.mib"

MIB = {
    "moduleName" : "NETSWITCH-MIB",

    "NETSWITCH-MIB" : {
        "nodetype" : "module",
        "language" : "SMIv1",
    },

    "imports" : (
        {"module" : "RFC1155-SMI", "name" : "Counter"},
        {"module" : "RFC-1212", "name" : "OBJECT-TYPE"},
        {"module" : "RFC1213-MIB", "name" : "DisplayString"},
        {"module" : "HP-ICF-OID", "name" : "hpSwitch"},
    ),

    "typedefs" : {
        "MacAddress" : {
            "basetype" : "OctetString",
            "ranges" : [
            {
                "min" : "6",
                "max" : "6"
            },
            ],
            "range" : {
                "min" : "6",
                "max" : "6"
            },
        },
    }, # typedefs

    "nodes" : {
        "hpOpSystem" : {
            "nodetype" : "node",
            "moduleName" : "NETSWITCH-MIB",
            "oid" : "1.3.6.1.4.1.11.2.14.11.5.1.1",
        }, # node
        "hpBuf" : {
            "nodetype" : "node",
            "moduleName" : "NETSWITCH-MIB",
            "oid" : "1.3.6.1.4.1.11.2.14.11.5.1.1.1",
        }, # node
        "hpMsgBuf" : {
            "nodetype" : "node",
            "moduleName" : "NETSWITCH-MIB",
            "oid" : "1.3.6.1.4.1.11.2.14.11.5.1.1.1.1",
        }, # node
        "hpMsgBufTable" : {
            "nodetype" : "table",
            "moduleName" : "NETSWITCH-MIB",
            "oid" : "1.3.6.1.4.1.11.2.14.11.5.1.1.1.1.1",
            "status" : "current",
            "description" :
                """A table that contains information on all the 
Message buffers for each slot.""",
        }, # table
        "hpMsgBufEntry" : {
            "nodetype" : "row",
            "moduleName" : "NETSWITCH-MIB",
            "oid" : "1.3.6.1.4.1.11.2.14.11.5.1.1.1.1.1.1",
            "status" : "current",
            "linkage" : [
                "hpMsgBufSlotIndex",
            ],
            "description" :
                """Information about a slot in a chassis""",
        }, # row
        "hpMsgBufSlotIndex" : {
            "nodetype" : "column",
            "moduleName" : "NETSWITCH-MIB",
            "oid" : "1.3.6.1.4.1.11.2.14.11.5.1.1.1.1.1.1.1",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Integer32",
                    "ranges" : [
                    {
                        "min" : "1",
                        "max" : "16"
                    },
                    ],
                    "range" : {
                        "min" : "1",
                        "max" : "16"
                    },
                },
            },
            "access" : "readonly",
            "description" :
                """The slot number within the box for which this 
entry contains information.""",
        }, # column
        "hpMsgBufCorrupted" : {
            "nodetype" : "column",
            "moduleName" : "NETSWITCH-MIB",
            "oid" : "1.3.6.1.4.1.11.2.14.11.5.1.1.1.1.1.1.2",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"RFC1155-SMI", "name" : "Counter"},
            },
            "access" : "readonly",
            "description" :
                """The number of times a corrupted buffer was deleted.""",
        }, # column
        "hpMsgBufFree" : {
            "nodetype" : "column",
            "moduleName" : "NETSWITCH-MIB",
            "oid" : "1.3.6.1.4.1.11.2.14.11.5.1.1.1.1.1.1.3",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"", "name" : "Integer32"},
            },
            "access" : "readonly",
            "description" :
                """The number of message buffers available for
internal VME transfers or external transfers,
respectively. Because switch operations and application
software modules impose some overhead on global memory
buffers, the number of buffers available for data
transfers is less than the total number of buffers
allocated when the switch boots.""",
        }, # column
        "hpMsgBufInit" : {
            "nodetype" : "column",
            "moduleName" : "NETSWITCH-MIB",
            "oid" : "1.3.6.1.4.1.11.2.14.11.5.1.1.1.1.1.1.4",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"", "name" : "Integer32"},
            },
            "access" : "readonly",
            "description" :
                """The number of message buffers allocated when
the switch booted.""",
        }, # column
        "hpMsgBufMin" : {
            "nodetype" : "column",
            "moduleName" : "NETSWITCH-MIB",
            "oid" : "1.3.6.1.4.1.11.2.14.11.5.1.1.1.1.1.1.5",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"", "name" : "Integer32"},
            },
            "access" : "readonly",
            "description" :
                """The smallest number of message buffers
available since the switch booted.""",
        }, # column
        "hpMsgBufMiss" : {
            "nodetype" : "column",
            "moduleName" : "NETSWITCH-MIB",
            "oid" : "1.3.6.1.4.1.11.2.14.11.5.1.1.1.1.1.1.6",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"RFC1155-SMI", "name" : "Counter"},
            },
            "access" : "readonly",
            "description" :
                """The number of times that the switch was unable to obtain
a message buffer. Failure to obtain a buffer indicates
that buffers were busy. This parameter is directly
related to hpMsgBufMin. If hpMsgBufMiss is greater than 0,
hpMsgBufMin must equal 0. Conversely, if hpMsgBufMiss
equals 0, then hpMsgBufMin must be greater than 0.""",
        }, # column
        "hpMsgBufSize" : {
            "nodetype" : "column",
            "moduleName" : "NETSWITCH-MIB",
            "oid" : "1.3.6.1.4.1.11.2.14.11.5.1.1.1.1.1.1.7",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"", "name" : "Integer32"},
            },
            "access" : "readonly",
            "description" :
                """The size of the message buffer in bytes.""",
        }, # column
        "hpPktBuf" : {
            "nodetype" : "node",
            "moduleName" : "NETSWITCH-MIB",
            "oid" : "1.3.6.1.4.1.11.2.14.11.5.1.1.1.2",
        }, # node
        "hpPktBufTable" : {
            "nodetype" : "table",
            "moduleName" : "NETSWITCH-MIB",
            "oid" : "1.3.6.1.4.1.11.2.14.11.5.1.1.1.2.1",
            "status" : "current",
            "description" :
                """A table that contains information on all the 
Packet buffers for each slot.""",
        }, # table
        "hpPktBufEntry" : {
            "nodetype" : "row",
            "moduleName" : "NETSWITCH-MIB",
            "oid" : "1.3.6.1.4.1.11.2.14.11.5.1.1.1.2.1.1",
            "status" : "current",
            "linkage" : [
                "hpPktBufSlotIndex",
            ],
            "description" :
                """Information about a slot in a chassis""",
        }, # row
        "hpPktBufSlotIndex" : {
            "nodetype" : "column",
            "moduleName" : "NETSWITCH-MIB",
            "oid" : "1.3.6.1.4.1.11.2.14.11.5.1.1.1.2.1.1.1",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Integer32",
                    "ranges" : [
                    {
                        "min" : "1",
                        "max" : "16"
                    },
                    ],
                    "range" : {
                        "min" : "1",
                        "max" : "16"
                    },
                },
            },
            "access" : "readonly",
            "description" :
                """The slot number within the box for which this 
entry contains information.""",
        }, # column
        "hpPktBufCorrupted" : {
            "nodetype" : "column",
            "moduleName" : "NETSWITCH-MIB",
            "oid" : "1.3.6.1.4.1.11.2.14.11.5.1.1.1.2.1.1.2",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"RFC1155-SMI", "name" : "Counter"},
            },
            "access" : "readonly",
            "description" :
                """The number of times a corrupted buffer was deleted.""",
        }, # column
        "hpPktBufFree" : {
            "nodetype" : "column",
            "moduleName" : "NETSWITCH-MIB",
            "oid" : "1.3.6.1.4.1.11.2.14.11.5.1.1.1.2.1.1.3",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"", "name" : "Integer32"},
            },
            "access" : "readonly",
            "description" :
                """The number of packet buffers available for
internal VME transfers or external transfers,
respectively. Because switch operations and application
software modules impose some overhead on global memory
buffers, the number of buffers available for data
transfers is less than the total number of buffers
allocated when the switch boots.""",
        }, # column
        "hpPktBufInit" : {
            "nodetype" : "column",
            "moduleName" : "NETSWITCH-MIB",
            "oid" : "1.3.6.1.4.1.11.2.14.11.5.1.1.1.2.1.1.4",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"", "name" : "Integer32"},
            },
            "access" : "readonly",
            "description" :
                """The number of packet buffers allocated when
the switch booted.""",
        }, # column
        "hpPktBufMin" : {
            "nodetype" : "column",
            "moduleName" : "NETSWITCH-MIB",
            "oid" : "1.3.6.1.4.1.11.2.14.11.5.1.1.1.2.1.1.5",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"", "name" : "Integer32"},
            },
            "access" : "readonly",
            "description" :
                """The smallest number of packet buffers
available since the switch booted.""",
        }, # column
        "hpPktBufMiss" : {
            "nodetype" : "column",
            "moduleName" : "NETSWITCH-MIB",
            "oid" : "1.3.6.1.4.1.11.2.14.11.5.1.1.1.2.1.1.6",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"RFC1155-SMI", "name" : "Counter"},
            },
            "access" : "readonly",
            "description" :
                """The number of times that the switch was unable to obtain
a packet buffer. Failure to obtain a buffer indicates
that buffers were busy. This parameter is directly
related to hpPktBufMin. If hpPktBufMiss is greater than 0,
hpPktBufMin must equal 0. Conversely, if hpPktBufMiss
equals 0, then hpPktBufMin must be greater than 0.""",
        }, # column
        "hpPktBufSize" : {
            "nodetype" : "column",
            "moduleName" : "NETSWITCH-MIB",
            "oid" : "1.3.6.1.4.1.11.2.14.11.5.1.1.1.2.1.1.7",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"", "name" : "Integer32"},
            },
            "access" : "readonly",
            "description" :
                """The size of the packet buffer in bytes.""",
        }, # column
        "hpMem" : {
            "nodetype" : "node",
            "moduleName" : "NETSWITCH-MIB",
            "oid" : "1.3.6.1.4.1.11.2.14.11.5.1.1.2",
        }, # node
        "hpLocalMem" : {
            "nodetype" : "node",
            "moduleName" : "NETSWITCH-MIB",
            "oid" : "1.3.6.1.4.1.11.2.14.11.5.1.1.2.1",
        }, # node
        "hpLocalMemTable" : {
            "nodetype" : "table",
            "moduleName" : "NETSWITCH-MIB",
            "oid" : "1.3.6.1.4.1.11.2.14.11.5.1.1.2.1.1",
            "status" : "current",
            "description" :
                """A table that contains information on all the 
local memory for each slot.""",
        }, # table
        "hpLocalMemEntry" : {
            "nodetype" : "row",
            "moduleName" : "NETSWITCH-MIB",
            "oid" : "1.3.6.1.4.1.11.2.14.11.5.1.1.2.1.1.1",
            "status" : "current",
            "linkage" : [
                "hpLocalMemSlotIndex",
            ],
            "description" :
                """Information about a slot in a chassis""",
        }, # row
        "hpLocalMemSlotIndex" : {
            "nodetype" : "column",
            "moduleName" : "NETSWITCH-MIB",
            "oid" : "1.3.6.1.4.1.11.2.14.11.5.1.1.2.1.1.1.1",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Integer32",
                    "ranges" : [
                    {
                        "min" : "1",
                        "max" : "16"
                    },
                    ],
                    "range" : {
                        "min" : "1",
                        "max" : "16"
                    },
                },
            },
            "access" : "readonly",
            "description" :
                """The slot number within the box for which this 
entry contains information.""",
        }, # column
        "hpLocalMemSlabCnt" : {
            "nodetype" : "column",
            "moduleName" : "NETSWITCH-MIB",
            "oid" : "1.3.6.1.4.1.11.2.14.11.5.1.1.2.1.1.1.2",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"RFC1155-SMI", "name" : "Counter"},
            },
            "access" : "readonly",
            "description" :
                """The current number of discretely managed memory areas.
Each slab is further broken down into smaller contiguous
areas called segments.""",
        }, # column
        "hpLocalMemFreeSegCnt" : {
            "nodetype" : "column",
            "moduleName" : "NETSWITCH-MIB",
            "oid" : "1.3.6.1.4.1.11.2.14.11.5.1.1.2.1.1.1.3",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"RFC1155-SMI", "name" : "Counter"},
            },
            "access" : "readonly",
            "description" :
                """The current number of free memory segments. A free memory
segment is an unused contiguous memory block of greater
than 16 bytes.  Generally, an increase in the number of
free memory segments indicates an increase in memory
fragmentation.""",
        }, # column
        "hpLocalMemAllocSegCnt" : {
            "nodetype" : "column",
            "moduleName" : "NETSWITCH-MIB",
            "oid" : "1.3.6.1.4.1.11.2.14.11.5.1.1.2.1.1.1.4",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"RFC1155-SMI", "name" : "Counter"},
            },
            "access" : "readonly",
            "description" :
                """The number of currently allocated memory segments.""",
        }, # column
        "hpLocalMemTotalBytes" : {
            "nodetype" : "column",
            "moduleName" : "NETSWITCH-MIB",
            "oid" : "1.3.6.1.4.1.11.2.14.11.5.1.1.2.1.1.1.5",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"", "name" : "Integer32"},
            },
            "access" : "readonly",
            "description" :
                """The number of currently installed bytes.""",
        }, # column
        "hpLocalMemFreeBytes" : {
            "nodetype" : "column",
            "moduleName" : "NETSWITCH-MIB",
            "oid" : "1.3.6.1.4.1.11.2.14.11.5.1.1.2.1.1.1.6",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"", "name" : "Integer32"},
            },
            "access" : "readonly",
            "description" :
                """The number of available (unallocated) bytes.""",
        }, # column
        "hpLocalMemAllocBytes" : {
            "nodetype" : "column",
            "moduleName" : "NETSWITCH-MIB",
            "oid" : "1.3.6.1.4.1.11.2.14.11.5.1.1.2.1.1.1.7",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"", "name" : "Integer32"},
            },
            "access" : "readonly",
            "description" :
                """The number of currently allocated bytes.""",
        }, # column
        "hpGlobalMem" : {
            "nodetype" : "node",
            "moduleName" : "NETSWITCH-MIB",
            "oid" : "1.3.6.1.4.1.11.2.14.11.5.1.1.2.2",
        }, # node
        "hpGlobalMemTable" : {
            "nodetype" : "table",
            "moduleName" : "NETSWITCH-MIB",
            "oid" : "1.3.6.1.4.1.11.2.14.11.5.1.1.2.2.1",
            "status" : "current",
            "description" :
                """A table that contains information on all the 
local memory for each slot.""",
        }, # table
        "hpGlobalMemEntry" : {
            "nodetype" : "row",
            "moduleName" : "NETSWITCH-MIB",
            "oid" : "1.3.6.1.4.1.11.2.14.11.5.1.1.2.2.1.1",
            "status" : "current",
            "linkage" : [
                "hpGlobalMemSlotIndex",
            ],
            "description" :
                """Information about a slot in a chassis""",
        }, # row
        "hpGlobalMemSlotIndex" : {
            "nodetype" : "column",
            "moduleName" : "NETSWITCH-MIB",
            "oid" : "1.3.6.1.4.1.11.2.14.11.5.1.1.2.2.1.1.1",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Integer32",
                    "ranges" : [
                    {
                        "min" : "1",
                        "max" : "16"
                    },
                    ],
                    "range" : {
                        "min" : "1",
                        "max" : "16"
                    },
                },
            },
            "access" : "readonly",
            "description" :
                """The slot number within the box for which this 
entry contains information.""",
        }, # column
        "hpGlobalMemSlabCnt" : {
            "nodetype" : "column",
            "moduleName" : "NETSWITCH-MIB",
            "oid" : "1.3.6.1.4.1.11.2.14.11.5.1.1.2.2.1.1.2",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"RFC1155-SMI", "name" : "Counter"},
            },
            "access" : "readonly",
            "description" :
                """The current number of discretely managed memory areas.
Each slab is further broken down into smaller contiguous
areas called segments.""",
        }, # column
        "hpGlobalMemFreeSegCnt" : {
            "nodetype" : "column",
            "moduleName" : "NETSWITCH-MIB",
            "oid" : "1.3.6.1.4.1.11.2.14.11.5.1.1.2.2.1.1.3",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"RFC1155-SMI", "name" : "Counter"},
            },
            "access" : "readonly",
            "description" :
                """The current number of free memory segments. A free memory
segment is an unused contiguous memory block of greater
than 16 bytes.  Generally, an increase in the number of
free memory segments indicates an increase in memory
fragmentation.""",
        }, # column
        "hpGlobalMemAllocSegCnt" : {
            "nodetype" : "column",
            "moduleName" : "NETSWITCH-MIB",
            "oid" : "1.3.6.1.4.1.11.2.14.11.5.1.1.2.2.1.1.4",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"RFC1155-SMI", "name" : "Counter"},
            },
            "access" : "readonly",
            "description" :
                """The number of currently allocated memory segments.""",
        }, # column
        "hpGlobalMemTotalBytes" : {
            "nodetype" : "column",
            "moduleName" : "NETSWITCH-MIB",
            "oid" : "1.3.6.1.4.1.11.2.14.11.5.1.1.2.2.1.1.5",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"", "name" : "Integer32"},
            },
            "access" : "readonly",
            "description" :
                """The number of currently installed bytes.""",
        }, # column
        "hpGlobalMemFreeBytes" : {
            "nodetype" : "column",
            "moduleName" : "NETSWITCH-MIB",
            "oid" : "1.3.6.1.4.1.11.2.14.11.5.1.1.2.2.1.1.6",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"", "name" : "Integer32"},
            },
            "access" : "readonly",
            "description" :
                """The number of available (unallocated) bytes.""",
        }, # column
        "hpGlobalMemAllocBytes" : {
            "nodetype" : "column",
            "moduleName" : "NETSWITCH-MIB",
            "oid" : "1.3.6.1.4.1.11.2.14.11.5.1.1.2.2.1.1.7",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"", "name" : "Integer32"},
            },
            "access" : "readonly",
            "description" :
                """The number of currently allocated bytes.""",
        }, # column
        "hpSwitchOsVersion" : {
            "nodetype" : "scalar",
            "moduleName" : "NETSWITCH-MIB",
            "oid" : "1.3.6.1.4.1.11.2.14.11.5.1.1.3",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"RFC1213-MIB", "name" : "DisplayString"},
            },
            "access" : "readonly",
            "description" :
                """Contains the operating code version number (also
known as software or firmware). For example, a
software version such as A.08.01 is described as
follows:
    A    the function set available in your router
    08   the common release number
    01   updates to the current common release""",
        }, # scalar
        "hpSwitchRomVersion" : {
            "nodetype" : "scalar",
            "moduleName" : "NETSWITCH-MIB",
            "oid" : "1.3.6.1.4.1.11.2.14.11.5.1.1.4",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"RFC1213-MIB", "name" : "DisplayString"},
            },
            "access" : "readonly",
            "description" :
                """Contains the ROM version number (such as A.08.01
is described as follows:
    A    the function set available in your router
    08   the common release number
    01   updates to the current common release""",
        }, # scalar
        "hpSwitchSmartCardType" : {
            "nodetype" : "scalar",
            "moduleName" : "NETSWITCH-MIB",
            "oid" : "1.3.6.1.4.1.11.2.14.11.5.1.1.5",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Enumeration",
                    "none" : {
                        "nodetype" : "namednumber",
                        "number" : "1"
                    },
                    "fddi" : {
                        "nodetype" : "namednumber",
                        "number" : "2"
                    },
                    "atm" : {
                        "nodetype" : "namednumber",
                        "number" : "3"
                    },
                    "fddiAndATM" : {
                        "nodetype" : "namednumber",
                        "number" : "4"
                    },
                    "other" : {
                        "nodetype" : "namednumber",
                        "number" : "5"
                    },
                },
            },
            "access" : "readonly",
            "description" :
                """Return the type of Smart Cards in the system. 
Some system may contains more than one types
of smart cards, such as FDDI and ATM""",
        }, # scalar
        "hpSwitchBaseMACAddress" : {
            "nodetype" : "scalar",
            "moduleName" : "NETSWITCH-MIB",
            "oid" : "1.3.6.1.4.1.11.2.14.11.5.1.1.6",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"NETSWITCH-MIB", "name" : "MacAddress"},
            },
            "access" : "readonly",
            "description" :
                """Return the base MAC address of the switch.  This is
also the MAC address of the default vlan. """,
        }, # scalar
    }, # nodes

}
